import ProjectListSelectPage from '@/views/FormBuilder/components/custom-form/ProjectListSelect.vue';

export const ProjectListSelect = {
  page: ProjectListSelectPage,
  inParam({ data }) {
    const inParamProp: any = {};
    try {
      inParamProp.defaultValue = data.value;
    } catch (e) {
      console.log('ProjectListSelectPage赋值解析错误');
    }
    return inParamProp;
  },
  outParam({ page, data }) {
    const result = page.getData();
    return [
      {
        text: result,
        value: result,
        type: data.type,
      },
    ];
  },
};
